/*
 * @author Raquel Díaz González
 */

var kurento_room = angular.module('kurento_room', ['ngRoute', 'FBAngular', 'lumx']);

kurento_room.config(function ($routeProvider) {

    $routeProvider
            .when('/', {
                templateUrl: 'angular/login/login.html',
                controller: 'loginController'
            })
            .when('/login', {
                templateUrl: 'angular/login/login.html',
                controller: 'loginController'
            })
            .when('/call', {
                templateUrl: 'angular/call/call.html',
                controller: 'callController'
            }).when('/kmsManager', {
                templateUrl: 'angular/kmsManager/kmsManagerList.html',
                controller: 'KmsManagerController'
            }).when('/roomDetail/:id', {
                templateUrl: 'angular/kmsManager/roomDetail.html',
                controller: 'KmsDetailController'
            }).when('/lookPerson/:id/:serverId', {
                templateUrl: 'angular/kmsManager/personDetail.html',
                controller: 'PersonDetailController'
            });
//            .otherwise({
//                templateUrl: 'error.html',
//                controller: 'MainController',
//            });
});



